# NAME

Trf_ShiftRegister - Shift the register.

# SYNOPSIS

    #include <transform.h>

    void Trf_ShiftRegister
    (
    	void *buffer,
    	void *in,
    	int shift,
    	int buffer_length
    );

# PARAMETERS

void *buffer
  Data shifted to the left.
void *in
  2nd register shifted into the buffer.
int shift
  Number of bytes to shift out (and in).
int buffer_length
  Length of buffer and in (in byte).

# DESCRIPTION

The register is shifted 'shift' bytes to the left. The same number of bytes from the left of the 2nd register ('in') is inserted at the right of 'buffer' to replace the lost bytes.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs